## ppasc 0.2.2-extras12.04.1

=== debian/changelog ===
ppasc (0.2.2-extras12.04.1) precise; urgency=low

  * New release.

 -- Marco Scarpetta <marcoscarpetta@mailoo.org>  Wed, 12 Sep 2012 19:45:43 +0200
