=== debian/control ===
Source: ppasc
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Marco Scarpetta <marcoscarpetta@mailoo.org>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: ppasc
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 python-software-properties,
 gir1.2-gtk-3.0,
 python-launchpadlib,
 gir1.2-glib-2.0,
 python-cairo,
 python-apport,
 python-apt
Description: Search packages in Launchpad's PPAs
 With PPA Software Center you can search packages in Launchpad's PPAs
 (you must know the package name or part of it) and simply install them
 by executing a shell command that the software suggests you.
