=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/ppasc/bin                 --install-data=/opt/extras.ubuntu.com/ppasc                 --install-lib=/opt/extras.ubuntu.com/ppasc

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/ppasc


override_dh_install:
	dh_install
	mkdir -p debian/ppasc/opt/extras.ubuntu.com/ppasc/bin
	if [ -x debian/ppasc/opt/extras.ubuntu.com/ppasc/ppasc/ppasc ]; then mv debian/ppasc/opt/extras.ubuntu.com/ppasc/ppasc/ppasc debian/ppasc/opt/extras.ubuntu.com/ppasc/bin; fi
	if [ -f debian/ppasc/opt/extras.ubuntu.com/ppasc/share/applications/ppasc.desktop ]; then \
		mkdir -p debian/ppasc/usr/share/applications; \
		mv debian/ppasc/opt/extras.ubuntu.com/ppasc/share/applications/ppasc.desktop debian/ppasc/usr/share/applications/extras-ppasc.desktop; \
		rmdir --ignore-fail-on-non-empty debian/ppasc/opt/extras.ubuntu.com/ppasc/share/applications; \
		sed -i 's|Exec=[^ ]*|Exec=/opt/extras.ubuntu.com/ppasc/bin/ppasc|' debian/ppasc/usr/share/applications/extras-ppasc.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/ppasc/|' debian/ppasc/usr/share/applications/extras-ppasc.desktop; \
	fi
	grep -RlZ 'import gettext' debian/ppasc/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/ppasc/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('ppasc')" debian/ppasc/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('ppasc')\)|locale\.bindtextdomain('ppasc', '/opt/extras.ubuntu.com/ppasc/share/locale')\nlocale\1|" 
	sed -i "s|__ppasc_data_directory__ =.*|__ppasc_data_directory__ = '/opt/extras.ubuntu.com/ppasc/share/ppasc/'|" debian/ppasc/opt/extras.ubuntu.com/ppasc/ppasc*/ppascconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/ppasc/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/ppasc/opt/extras.ubuntu.com/ppasc/bin/ppasc
	if [ -d debian/ppasc/opt/extras.ubuntu.com/ppasc/share/glib-2.0/schemas ]; then glib-compile-schemas debian/ppasc/opt/extras.ubuntu.com/ppasc/share/glib-2.0/schemas; fi
